package com.alibaba.druid.sql.dialect.mariadb.ast.statement;

import com.alibaba.druid.sql.ast.statement.SQLSelect;
import com.alibaba.druid.sql.dialect.mariadb.visitor.MariadbASTVisitor;

public class MariadbShowPlanCacheStatement extends MariadbStatementImpl implements MariadbShowStatement {
   private SQLSelect select;

   public MariadbShowPlanCacheStatement() {
   }

   public MariadbShowPlanCacheStatement(SQLSelect select) {
      this.setSelect(select);
   }

   public void accept0(MariadbASTVisitor v) {
      if (v.visit(this) && this.select != null) {
         this.select.accept(v);
      }

      v.endVisit(this);
   }

   public SQLSelect getSelect() {
      return this.select;
   }

   public void setSelect(SQLSelect x) {
      if (x != null) {
         x.setParent(this);
      }

      this.select = x;
   }
}
